eth_getUncleByBlockHashAndIndex
POST
Returns the uncle block information for the specified block hash and uncle index.
param[0]
blockHashstringrequired
Block hash is the unique identifier of a block. The block hash is represented as a 64-character hexadecimal string.param[1]
transactionIndexstringrequired
The uncle index indicates the position of the uncle block within the block. Expressed as a hexadecimal string.Responses
baseFeePerGasstring
Base fee per gas (EIP-1559, hex in wei)difficultystring
Mining difficulty of the block (hex)extraDatastring
Arbitrary extra data added by the miner (hex)gasLimitstring
Maximum total gas allowed in this block (hex)gasUsedstring
Total gas used by all transactions in this block (hex)hashstring
Block hashlogsBloomstring
Bloom filter for event log search (2048 bits, hex)minerstring
Address of the block minermixHashstring
Mix hash used in proof-of-worknoncestring
Nonce used in proof-of-work (hex)numberstring
Block number (hex)parentHashstring
Hash of the parent blockreceiptsRootstring
Root hash of the transaction receipts triesha3Unclesstring
SHA3 hash of the uncles listsizestring
Block size in bytes (hex)stateRootstring
Root hash of the state trietimestampstring
Block creation time (Unix timestamp, hex)totalDifficultystring
Cumulative difficulty from genesis to this block (hex)transactionsoneOf
Transactions in this block. Returns hash array or full objects depending on includeTransactions parameter.transactionsRootstring
Root hash of the transactions trieunclesarray
Array of uncle block hashesValidator withdrawal list (EIP-4895)
indexstring
Withdrawal index (hex)validatorIndexstring
Validator index (hex)addressstring
Withdrawal recipient addressamountstring
Withdrawal amount (in Gwei, hex)withdrawalsRootstring
Root hash of the withdrawals trie (EIP-4895)codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Unauthorized"}
cURL
curl -X POST 'https://polygon-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "eth_getUncleByBlockHashAndIndex","params": ["0x59f63e3840e0f4a1659074c1a4021e881a268a52d31958688da1d66bfbf6d2ca","0x0"]}'